API referenceConnections
Write a connection's records through the customer's provider (BYO token, used once)
Rail B (API-token apply). The scoped provider credential is used once to write the records and is never stored. The connection advances to propagating; the poller promotes it to live once the records appear in public DNS.
Authorization
widgetJWT AuthorizationBearer <token>
Short-lived widget JWT minted server-side via POST /v1/tokens. Scoped to one application (and optionally one domain).
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/connections/string/apply" \ -H "Content-Type: application/json" \ -d '{ "credential": { "token": "string" }, "records": [ { "type": "CNAME", "value": "string" } ] }'{ "connection": { "id": "string", "application_id": "string", "domain": "string", "host": "string", "provider_id": "string", "setup_type": "automatic", "status": "pending", "managed": true, "created_at": "2019-08-24T14:15:22Z", "last_checked_at": "2019-08-24T14:15:22Z", "www_redirect": true, "override_spf": true, "validate_dmarc": true, "validate_caa": true, "monitor": true, "batch_id": "string", "end_user_ref": "string", "secure_root_domain": true, "redirect_to": "http://example.com", "power_root_path_access": [ "string" ], "error_code": "string", "error_message": "string" }, "records": [ { "type": "CNAME", "host": "string", "value": "string", "ttl": 3600, "priority": 0, "applied": true } ]}{ "code": "string", "title": "string", "details": "string"}{ "code": "string", "title": "string", "details": "string"}{ "code": "string", "title": "string", "details": "string"}{ "code": "string", "title": "string", "details": "string"}